C

Macros | Functions | Variables
apc220setup.ino File Reference
`#include <SoftwareSerial.h>`
Include dependency graph for apc220setup.ino:

Go to the source code of this file.

## Macros
#define | ENPIN12 12
#define | ENPIN7 7
#define | SETPIN 8
#define | RXPIN 10
#define | TXPIN 11
#define | FIVEV 13
#define | AUTOOFFSET 100
#define | PARM_LGT 10
#define | CMD_BUF_LGT 50

## Functions
SoftwareSerial | apc220 (RXPIN, TXPIN)
void | emptySerial ()
void | radioFastProg (int index)
void | set_para (char hz[], char rf_rate[], char pwr[], char uart_rate[], char sc[])
void | get_para (char s[])
boolean | isRadioPresent ()
void | setupShield (int id)
void | do_cmd (void)
void | beacons ()
boolean | radioOn (int p)
void | setup ()
void | loop ()

## Variables
int | shieldID = 1
unsigned long | startF = 435000
unsigned long | stepF = 500
unsigned long | nrStep = 0
char | rfBaud = '3'
char | rfPower = '9'
char | uartBaud = '3'
char | uartParChk = '0'
void(* | resetF )(void)=0x00
const int | vrs = 3141
char | radioRcvStr [25]
int | enPin
char | var1 [PARM_LGT]
char | var2 [PARM_LGT]
char | var3 [PARM_LGT]
char | var4 [PARM_LGT]
char | var5 [PARM_LGT]
char | var6 [PARM_LGT]
char | st [200]

## Macro Definition Documentation

## ◆ AUTOOFFSET

#define AUTOOFFSET 100

Definition at line 94 of file apc220setup.ino.

## ◆ CMD_BUF_LGT

#define CMD_BUF_LGT 50

Definition at line 101 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ ENPIN12

#define ENPIN12 12

Definition at line 81 of file apc220setup.ino.

Referenced by radioConfig().

## ◆ ENPIN7

#define ENPIN7 7

Definition at line 82 of file apc220setup.ino.

Referenced by radioConfig().

## ◆ FIVEV

#define FIVEV 13

Definition at line 91 of file apc220setup.ino.

Referenced by radioConfig().

## ◆ PARM_LGT

#define PARM_LGT 10

Definition at line 100 of file apc220setup.ino.

## ◆ RXPIN

#define RXPIN 10

Definition at line 87 of file apc220setup.ino.

## ◆ SETPIN

#define SETPIN 8

Definition at line 85 of file apc220setup.ino.

Referenced by configModeOff(), configModeOn(), and configPinInit().

## ◆ TXPIN

#define TXPIN 11

Definition at line 88 of file apc220setup.ino.

## Function Documentation

## ◆ apc220()

SoftwareSerial apc220 | ( | RXPIN | ,
|  | TXPIN |
| ) |  |

Referenced by radioAvailable(), radioConfig(), radioPrint(), radioPrintln(), radioRead(), radioWrite(), and radioWriteCh().

Here is the caller graph for this function:

## ◆ beacons()

void beacons | ( |  | ) |

Definition at line 343 of file apc220setup.ino.

References configModeOff(), configModeOn(), isRadioPresent(), and radioWrite().

Referenced by do_cmd(), and loop().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ do_cmd()

void do_cmd | ( | void |  | ) |

Definition at line 265 of file apc220setup.ino.

References beacons(), CMD_BUF_LGT, configModeOff(), configModeOn(), drawRadio(), emptySerial(), isRadioPresent(), menu(), radioFastProg(), radioRcvStr, resetF, set_para(), var1, var2, var3, var4, var5, and var6.

Referenced by loop().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emptySerial()

void emptySerial | ( |  | ) |

Definition at line 107 of file apc220setup.ino.

Referenced by do_cmd().

Here is the caller graph for this function:

## ◆ get_para()

void get_para | ( | char | s[] | ) |

Definition at line 218 of file apc220setup.ino.

References radioAvailable(), radioPrintln(), and radioRead().

Referenced by isRadioPresent().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isRadioPresent()

boolean isRadioPresent | ( |  | ) |

Definition at line 242 of file apc220setup.ino.

References get_para(), and radioRcvStr.

Referenced by beacons(), do_cmd(), and radioOn().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ loop()

void loop | ( |  | ) |

Definition at line 437 of file apc220setup.ino.

References beacons(), configModeOff(), configModeOn(), do_cmd(), radioFastProg(), and shieldID.

Here is the call graph for this function:

## ◆ radioFastProg()

void radioFastProg | ( | int | index | ) |

Definition at line 117 of file apc220setup.ino.

References radioAvailable(), radioPrintln(), radioRead(), rfBaud, rfPower, shieldID, st, startF, stepF, uartBaud, and uartParChk.

Referenced by do_cmd(), and loop().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ radioOn()

boolean radioOn | ( | int | p | ) |

Definition at line 358 of file apc220setup.ino.

References configModeOff(), configModeOn(), isRadioPresent(), and setupShield().

Referenced by setup().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ set_para()

void set_para | ( | char | hz[],
|  | char | rf_rate[],
|  | char | pwr[],
|  | char | uart_rate[],
|  | char | sc[]
| ) |  |

Definition at line 158 of file apc220setup.ino.

References radioAvailable(), radioPrint(), radioPrintln(), and radioRead().

Referenced by do_cmd().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setup()

void setup | ( |  | ) |

Definition at line 377 of file apc220setup.ino.

References configModeOff(), dmpProgID(), radioOn(), radioRcvStr, radioWrite(), and shieldID.

Here is the call graph for this function:

## ◆ setupShield()

void setupShield | ( | int | id | ) |

Definition at line 254 of file apc220setup.ino.

References configModeOff(), configPinInit(), radioConfig(), and shieldID.

Referenced by radioOn().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ enPin

int enPin

Definition at line 96 of file apc220setup.ino.

Referenced by radioConfig(), radioOff(), and radioOn().

## ◆ nrStep

unsigned long nrStep = 0

Definition at line 26 of file apc220setup.ino.

## ◆ radioRcvStr

char radioRcvStr[25]

Definition at line 76 of file apc220setup.ino.

Referenced by do_cmd(), isRadioPresent(), and setup().

## ◆ resetF

void(* resetF) (void)=0x00

Definition at line 71 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ rfBaud

char rfBaud = '3'

Definition at line 31 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ rfPower

char rfPower = '9'

Definition at line 32 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ shieldID

int shieldID = 1

Definition at line 18 of file apc220setup.ino.

Referenced by loop(), radioAvailable(), radioConfig(), radioFastProg(), radioPrint(), radioPrintln(), radioRead(), radioWrite(), radioWriteCh(), setup(), and setupShield().

## ◆ st

char st[200]

Definition at line 116 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ startF

unsigned long startF = 435000

Definition at line 24 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ stepF

unsigned long stepF = 500

Definition at line 25 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ uartBaud

char uartBaud = '3'

Definition at line 33 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ uartParChk

char uartParChk = '0'

Definition at line 34 of file apc220setup.ino.

Referenced by radioFastProg().

## ◆ var1

char var1[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ var2

char var2[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ var3

char var3[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ var4

char var4[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ var5

char var5[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ var6

char var6[PARM_LGT]

Definition at line 103 of file apc220setup.ino.

Referenced by do_cmd().

## ◆ vrs

const int vrs = 3141

Definition at line 73 of file apc220setup.ino.

Referenced by dmpProgID().